| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::UnifiedHighLevelGpuProgramFactory Class Reference
Core » Resources

Factory class for Unified programs. More...

`#include <OgreUnifiedHighLevelGpuProgram.h>`

Inheritance diagram for Ogre::UnifiedHighLevelGpuProgramFactory:
[legend]

## Public Member Functions
| UnifiedHighLevelGpuProgramFactory ()
| ~UnifiedHighLevelGpuProgramFactory ()
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for. More...

## Detailed Description

Factory class for Unified programs.

## Constructor & Destructor Documentation

## ◆ UnifiedHighLevelGpuProgramFactory()

Ogre::UnifiedHighLevelGpuProgramFactory::UnifiedHighLevelGpuProgramFactory | ( |  | ) |

## ◆ ~UnifiedHighLevelGpuProgramFactory()

Ogre::UnifiedHighLevelGpuProgramFactory::~UnifiedHighLevelGpuProgramFactory | ( |  | ) |

## Member Function Documentation

## ◆ getLanguage()

const String& Ogre::UnifiedHighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const
| virtual

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ create()

HighLevelGpuProgram* Ogre::UnifiedHighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) |  |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::UnifiedHighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreUnifiedHighLevelGpuProgram.h